package hibintro.util;

import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;
import org.hibernate.service.ServiceRegistryBuilder;

/**
 * @author goik
 * 
 * Useful helper for creating hibernate session instances
 *
 */
public class HibernateUtil {


  /**
   * 
   * @param hibernateConfigFileName The filename defaults to <code>hibernate.cfg.xml</code>.
   * @return Session factory instance to be used for actual session creation by caller.
   */
  public static SessionFactory createSessionFactory(final String hibernateConfigFileName) {
    Configuration configuration = new Configuration();
    configuration.configure(hibernateConfigFileName);
    ServiceRegistryBuilder serviceRegistryBuilder = new ServiceRegistryBuilder().applySettings(configuration
        .getProperties());
    return configuration
        .buildSessionFactory(serviceRegistryBuilder.buildServiceRegistry());
  }
}