package hibintro.v1.run;



import hibintro.util.HibernateUtil;
import hibintro.v1.model.User;

import java.util.List;

import org.hibernate.Session;
import org.hibernate.Transaction;



/**
 * @author goik
 * 
 * Retrieval of all {@link User} objects from a database.
 *
 */
public class RetrieveAll {

  /**
   * Retrieving users containing the letter <code>r</code> in
   * {@link User#getCname()}.
   * 
   * @param args
   */
  public static void main(String[] args) {
    final Session session = HibernateUtil.createSessionFactory("hibernate.cfg.xml").openSession();

    final Transaction transaction = session.beginTransaction();

    final List<User> users = (List<User>) session.createQuery("from User").list();
    for (final User u: users) {
      System.out.println("Found user '" + u.getCname() + "'");
    }

    transaction.commit();
  }
}